<?php

add_action('init','of_options');

if (!function_exists('of_options'))
{
	function of_options()
	{
		//Access the WordPress Categories via an Array
		$of_categories 		= array();  
		$of_categories_obj 	= get_categories('hide_empty=0');
		foreach ($of_categories_obj as $of_cat) {
		    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
		$categories_tmp 	= array_unshift($of_categories, "Select a category:");    
	       
		//Access the WordPress Pages via an Array
		$of_pages 			= array();
		$of_pages_obj 		= get_pages('sort_column=post_parent,menu_order');    
		foreach ($of_pages_obj as $of_page) {
		    $of_pages[$of_page->ID] = $of_page->post_name; }
		$of_pages_tmp 		= array_unshift($of_pages, "Select a page:");       
	
		//Testing 
		$of_options_select 	= array("one","two","three","four","five"); 
		$of_options_radio 	= array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five");
		
		//Sample Homepage blocks for the layout manager (sorter)
		$of_options_homepage_blocks = array
		( 
			"disabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_one"		=> "Block One",
				"block_two"		=> "Block Two",
				"block_three"	=> "Block Three",
			), 
			"enabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_four"	=> "Block Four",
			),
		);

 
	
		/*-----------------------------------------------------------------------------------*/
		/* TO DO: Add options/functions that use these */
		/*-----------------------------------------------------------------------------------*/
		
		//More Options
		$uploads_arr 		= wp_upload_dir();
		$all_uploads_path 	= $uploads_arr['path'];
		$all_uploads 		= get_option('of_uploads');
		$other_entries 		= array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
		$body_repeat 		= array("no-repeat","repeat-x","repeat-y","repeat");
		$body_pos 			= array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");
		
		$imgs_url = get_template_directory_uri().'/images/';
		$imgs_url_demo = get_template_directory_uri().'/demo';



// Set the Options Array
global $of_options;
$of_options = array();
 

 

/*-----------------------------------------------------------------------------------*/
/* General Settings */
/*-----------------------------------------------------------------------------------*/

$of_options[] = array( 	"name" 		=> esc_html__( 'General Settings', 'boodo-wp' ),
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-header.png"
				);


$of_options[] = array( 	"name" 		=> "",
						"desc" 		=> "",
						"id" 		=> "introduction_7",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Custom Logo.', 'boodo-wp') ."</h3>
						". esc_html__('Upload a custom logo image for your site.', 'boodo-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Custom Logo.', 'boodo-wp' ),
						"desc" 		=> esc_html__('Upload a custom logo image for your site here. Size for height should be at least 86px or bigger for retina screens.', 'boodo-wp'),
						"id" 		=> "boodo_wp_logo",
						"std" 		=> $imgs_url.'logo.png',
						"type" 		=> "upload");


$of_options[] = array( 	"name" 		=> esc_html__( 'Top Icons', 'boodo-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_social",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Top Icons.', 'boodo-wp') ."</h3>
						<strong>". esc_html__('Top Icons', 'boodo-wp') ."</strong> ". esc_html__('Featured Top Icons.', 'boodo-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__('Display Top Icons?', 'boodo-wp'),
						"desc" 		=> esc_html__('Display Top Icons?', 'boodo-wp'),
						"id" 		=> "boodo_wp_topbig_display",
						"std" 		=> "No",
						"type" 		=> "select",
						"options" 	=> array(
										"No",
										"Yes"
									),
					);

$of_options[] = array( 	"name" 		=> esc_html__( 'Top Icons.', 'boodo-wp' ),
						"desc" 		=> "". esc_html__('Featured Top Icons: Latest / Popular / Views / Upload', 'boodo-wp') ." <a href=\"http://fontawesome.io/icons/\" target=\"_blank\">Font Awesome</a> or <a href=\"http://icofont.com/icons/\" target=\"_blank\">Icofont</a> ". esc_html__('for more Icons! Change # with the links of your pages.', 'boodo-wp') ."",
						"id" 		=> "boodo_wp_top_icons",
						"std" 		=> "
<li><a href=\"#\"><i class=\"icofont icofont-wall-clock\"></i> <div>Latest</div></a></li>

<li><a href=\"#\"><i class=\"icofont icofont-speech-comments\"></i> <div>Popular</div></a></li>

<li><a href=\"#\"><i class=\"icofont icofont-fire-burn\"></i> <div>Views</div></a></li>

<li><a href=\"#\"><i class=\"icofont icofont-meeting-add\"></i> <div>Upload</div></a></li>
",
						"type" 		=> "textarea");	

					

$of_options[] = array( 	"name" 		=> esc_html__( 'Header Social Icons', 'boodo-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_social",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Header Social Icons.', 'boodo-wp') ."</h3>
						<strong>". esc_html__('Social Icons', 'boodo-wp') ."</strong> ". esc_html__('- Header Social Icons.', 'boodo-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__('Display Social Icons?', 'boodo-wp'),
						"desc" 		=> esc_html__('Display Social Icons?', 'boodo-wp'),
						"id" 		=> "boodo_wp_topicons_display",
						"std" 		=> "No",
						"type" 		=> "select",
						"options" 	=> array(
										"No",
										"Yes"
									),
					);

$of_options[] = array( 	"name" 		=> esc_html__( 'Social Icons.', 'boodo-wp' ),
						"desc" 		=> "". esc_html__('You can use HTML code. For more social icons go to', 'boodo-wp') ." <a href=\"http://fontawesome.io/icons/\" target=\"_blank\">Font Awesome</a> ". esc_html__('and at the bottom you have Brand Icons!', 'boodo-wp') ."",
						"id" 		=> "boodo_wp_top_social_icons",
						"std" 		=> "
<li><a href=\"#\"><i class=\"fab fa-facebook-f\"></i></a></li>
<li><a href=\"#\"><i class=\"fab fa-twitter\"></i></a></li>
<li><a href=\"#\"><i class=\"fab fa-pinterest\"></i></a></li>
<li><a href=\"#\"><i class=\"fab fa-youtube\"></i></a></li>
<li><a href=\"#\"><i class=\"fab fa-vimeo-v\"></i></a></li>
<li><a href=\"#\"><i class=\"fab fa-telegram\"></i></a></li>
",
						"type" 		=> "textarea");	



/*-----------------------------------------------------------------------------------*/
/* Blog Settings */
/*-----------------------------------------------------------------------------------*/
$of_options[] = array( 	"name" 		=> esc_html__( 'Blog Settings', 'boodo-wp' ),
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-home.png"
				);


$of_options[] = array( 	"name" 		=> esc_html__( 'Ribbon category icon', 'boodo-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_slider",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Ribbon category icon', 'boodo-wp') ."</h3>
						<strong>". esc_html__('Ribbon category icon', 'boodo-wp') ."</strong> ". esc_html__(' - change default ribbon icon.', 'boodo-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Ribbon category icon.', 'boodo-wp' ),
						"desc" 		=> "". esc_html__('For more icons go to', 'boodo-wp') ." <a href=\"http://fontawesome.io/icons/\" target=\"_blank\">Font Awesome</a>.",
						"id" 		=> "boodo_wp_ribbon_icon",
						"std" 		=> "<i class=\"fas fa-utensils\"></i>",
						"type" 		=> "textarea");	


$of_options[] = array( 	"name" 		=> esc_html__( 'Header Slider', 'boodo-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_slider",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Slider, Most Viewed Posts.', 'boodo-wp') ."</h3>
						<strong>". esc_html__('Slider', 'boodo-wp') ."</strong> ". esc_html__(' - Most Viewed Posts.', 'boodo-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Display Slider?', 'boodo-wp' ),
						"desc" 		=> esc_html__( 'Display Slider? Most Viewed Posts.', 'boodo-wp' ),
						"id" 		=> "boodo_wp_display_slider",
						"std" 		=> "No",
						"type" 		=> "select",
						"options" 	=> array(
										"No",
										"Yes"
									),
					);



$of_options[] = array( 	"name" 		=> esc_html__( 'Don\'t Miss! Random Posts', 'boodo-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_random_posts",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Don\'t Miss! Random Posts.', 'boodo-wp') ."</h3>
						<strong>". esc_html__('Don\'t Miss!', 'boodo-wp') ."</strong> ". esc_html__(' - Random Posts', 'boodo-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Display Random Posts?', 'boodo-wp' ),
						"desc" 		=> esc_html__( 'Display Random Posts?', 'boodo-wp' ),
						"id" 		=> "boodo_wp_display_random_posts",
						"std" 		=> "No",
						"type" 		=> "select",
						"options" 	=> array(
										"No",
										"Yes"
									),
					);

$of_options[] = array( 	"name" 		=> esc_html__( 'Facebook / Instagram sections', 'boodo-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_fi",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Facebook / Instagram sections', 'boodo-wp') ."</h3>
						". esc_html__('Facebook / Instagram sections', 'boodo-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Display Facebook / Instagram sections?', 'boodo-wp' ),
						"desc" 		=> esc_html__( 'Display Facebook / Instagram sections?', 'boodo-wp' ),
						"id" 		=> "boodo_wp_display_social_sections",
						"std" 		=> "No",
						"type" 		=> "select",
						"options" 	=> array(
										"No",
										"Yes"
									),
					);


$of_options[] = array( 	"name" 		=> esc_html__( 'Facebook Section', 'boodo-wp' ),
						"desc" 		=> esc_html__( 'Facebook Section.', 'boodo-wp' ),
						"id" 		=> "boodo_wp_facebook_text",
						"std" 		=> "
<h4>Facebook</h4>
<p>boodo is home to 5,000+ of the web\'s best branded recipes, plus bloggers who share their best recipes! </p>

<a href=\"#\">Follow Us <i class=\"fas fa-angle-right\"></i></a>
",
						"type" 		=> "textarea");	


$of_options[] = array( 	"name" 		=> esc_html__( 'Facebook Image', 'boodo-wp' ),
						"desc" 		=> esc_html__('Upload a custom Facebook Image. Size for image: 320x260', 'boodo-wp'),
						"id" 		=> "boodo_wp_fb_image",
						"std" 		=> $imgs_url.'facebook-section.png',
						"type" 		=> "upload");


$of_options[] = array( 	"name" 		=> esc_html__( 'Instagram Section', 'boodo-wp' ),
						"desc" 		=> esc_html__( 'Instagram Section.', 'boodo-wp' ),
						"id" 		=> "boodo_wp_instagram_text",
						"std" 		=> "
<h4>Instagram</h4>
<p>boodo is home to 5,000+ of the web\'s best branded recipes, plus bloggers who share their best recipes! </p>

<a href=\"#\">Follow Us <i class=\"fas fa-angle-right\"></i></a>
",
						"type" 		=> "textarea");	


$of_options[] = array( 	"name" 		=> esc_html__( 'Instagram Image', 'boodo-wp' ),
						"desc" 		=> esc_html__('Upload a custom Instagram Image. Size for image: 320x260', 'boodo-wp'),
						"id" 		=> "boodo_wp_in_image",
						"std" 		=> $imgs_url.'instagram-section.png',
						"type" 		=> "upload");


$of_options[] = array( 	"name" 		=> esc_html__( 'Article Page: Display small author box. ', 'boodo-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_random_posts",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Article Page', 'boodo-wp') ."</h3>
						<strong>". esc_html__('Article Page', 'boodo-wp') ."</strong> ". esc_html__(' - Display small author box / social share icons.', 'boodo-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Display social share icons?', 'boodo-wp' ),
						"desc" 		=> esc_html__( 'Display social share icons?', 'boodo-wp' ),
						"id" 		=> "boodo_wp_display_social_share",
						"std" 		=> "Yes",
						"type" 		=> "select",
						"options" 	=> array(
										"No",
										"Yes"
									),
					);

$of_options[] = array( 	"name" 		=> esc_html__( 'Display small author box?', 'boodo-wp' ),
						"desc" 		=> esc_html__( 'Display small author box?', 'boodo-wp' ),
						"id" 		=> "boodo_wp_display_author_box",
						"std" 		=> "No",
						"type" 		=> "select",
						"options" 	=> array(
										"No",
										"Yes"
									),
					);


$of_options[] = array( 	"name" 		=> esc_html__( 'Advertisements and Related Articles', 'boodo-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_siglepage",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Advertisements and Related Articles', 'boodo-wp') ."</h3>
						<strong>". esc_html__('Advertisements and Related Articles', 'boodo-wp') ."</strong> ". esc_html__('- for article pages after the content.', 'boodo-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");


$of_options[] = array( 	"name" 		=> esc_html__( 'Display Advertisements and Related Articles?', 'boodo-wp' ),
						"desc" 		=> esc_html__( 'Display Advertisements and Related Articles?', 'boodo-wp' ),
						"id" 		=> "boodo_wp_display_add_relatedarticles",
						"std" 		=> "No",
						"type" 		=> "select",
						"options" 	=> array(
										"No",
										"Yes"
									),
					);

$of_options[] = array( 	"name" 		=> esc_html__( '300x250 Advertisements.', 'boodo-wp' ),
						"desc" 		=> esc_html__( 'Paste your HTML or JavaScript code here. Advertisements displayed to the left in Related Articles section.', 'boodo-wp' ),
						"id" 		=> "boodo_wp_related_add300",
						"std" 		=> "
<a href=\"#\"><img src=\"http://placehold.it/300x250\" width=\"300\" height=\"250\" alt=\"img\" /></a>

<a href=\"#\"><img src=\"http://placehold.it/300x250\" width=\"300\" height=\"250\" alt=\"img\" /></a>",
						"type" 		=> "textarea");	


/*-----------------------------------------------------------------------------------*/
/* Style Settings */
/*-----------------------------------------------------------------------------------*/
$of_options[] = array( 	"name" 		=> esc_html__( 'Style Settings', 'boodo-wp' ),
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-paint.png");


$of_options[] = array( 	"name" 		=> esc_html__( 'Style', 'boodo-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_14",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">".esc_html__( 'Style Settings', 'boodo-wp' )."</h3>
						". esc_html__( 'Use the color picker to change the main color of the site to match your brand color.', 'boodo-wp' ) ."",
						"icon" 		=> true,
						"type" 		=> "info");


$of_options[] = array( 	"name" 		=> esc_html__( 'Main Color (orange)', 'boodo-wp' ),
						"desc" 		=> esc_html__( 'Use the color picker to change the main color of the site to match your brand color.', 'boodo-wp' ),
						"id" 		=> "boodo_wp_main_color",
						"std" 		=> "#60a531",
						"type" 		=> "color"
				);


$of_options[] = array( 	"name" 		=> esc_html__( 'Style', 'boodo-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_11",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">".esc_html__( 'Style Settings', 'boodo-wp' )."</h3>
						". esc_html__( 'Use the color picker to change the colors of the site to match your brand color.', 'boodo-wp' ) ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Header Background Color', 'boodo-wp' ),
						"desc" 		=> esc_html__( 'Use the color picker to change the color of the site to match your brand color.', 'boodo-wp' ),
						"id" 		=> "boodo_wp_header_bg",
						"std" 		=> "#60a531",
						"type" 		=> "color"
				);

$of_options[] = array( 	"name" 		=> esc_html__( 'Header Pattern Image', 'boodo-wp' ),
						"desc" 		=> esc_html__( 'Pattern image can have any size.', 'boodo-wp' ),
						"id" 		=> "boodo_wp_pattern_header_img",
						"std" 		=> $imgs_url.'pattern-bg.png',
						"type" 		=> "upload"
				);

$of_options[] = array( 	"name" 		=> esc_html__( 'Header Top Icons Color', 'boodo-wp' ),
						"desc" 		=> esc_html__( 'Use the color picker to change the color of the site to match your brand color.', 'boodo-wp' ),
						"id" 		=> "boodo_wp_top_icons_color",
						"std" 		=> "#FFFFFF",
						"type" 		=> "color"
				);

$of_options[] = array( 	"name" 		=> esc_html__( 'Footer Background Color', 'boodo-wp' ),
						"desc" 		=> esc_html__( 'Use the color picker to change the color of the site to match your brand color.', 'boodo-wp' ),
						"id" 		=> "boodo_wp_footer_bg",
						"std" 		=> "#000000",
						"type" 		=> "color"
				);

$of_options[] = array( 	"name" 		=> esc_html__( 'Footer Pattern Image', 'boodo-wp' ),
						"desc" 		=> esc_html__( 'Pattern image can have any size.', 'boodo-wp' ),
						"id" 		=> "boodo_wp_pattern_footer_img",
						"std" 		=> $imgs_url.'pattern-footer-bg.png',
						"type" 		=> "upload"
				);


$of_options[] = array( 	"name" 		=> esc_html__( 'Entry Link Color', 'boodo-wp' ),
						"desc" 		=> esc_html__( 'Use the color picker to change the entry link color on article or default / full width pages.', 'boodo-wp' ),
						"id" 		=> "boodo_wp_entry_linkcolor",
						"std" 		=> "#60a531",
						"type" 		=> "color"
				);





/*-----------------------------------------------------------------------------------*/
/* Footer Settings */
/*-----------------------------------------------------------------------------------*/
$of_options[] = array( 	"name" 		=> esc_html__( 'Footer Settings', 'boodo-wp' ),
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-settings.png");


$of_options[] = array( 	"name" 		=> esc_html__( 'Footer AD AREA', 'boodo-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_add",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('728x90 AD AREA', 'boodo-wp') ."</h3>
						<strong>". esc_html__('AD AREA', 'boodo-wp') ."</strong> ". esc_html__('- Paste your HTML or JavaScript code here.', 'boodo-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Display Footer AD?', 'boodo-wp' ),
						"desc" 		=> esc_html__( 'Display Footer AD?', 'boodo-wp' ),
						"id" 		=> "boodo_wp_display_add_footer",
						"std" 		=> "No",
						"type" 		=> "select",
						"options" 	=> array(
										"No",
										"Yes"
									),
					);

$of_options[] = array( 	"name" 		=> esc_html__( '728x90 AD AREA.', 'boodo-wp' ),
						"desc" 		=> esc_html__( 'Paste your HTML or JavaScript code here. AD Area displayed in the footer.', 'boodo-wp' ),
						"id" 		=> "boodo_wp_add728",
						"std" 		=> "<a href=\"#\"><img src=\"http://placehold.it/728x90\" width=\"728\" height=\"90\" alt=\"img\" /></a>",
						"type" 		=> "textarea");	


$of_options[] = array( 	"name" 		=> esc_html__( 'Copyright', 'boodo-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_copy",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Copyright.</h3>
						<strong>Copyright</strong> - Footer Copyright.",
						"icon" 		=> true,
						"type" 		=> "info");


$of_options[] = array( 	"name" 		=> esc_html__( 'Copyright', 'boodo-wp' ),
						"desc" 		=> "You can use HTML code.",
						"id" 		=> "boodo_wp_copyright",
						"std" 		=> "Boodo is home to 5,000+ of the web\'s best branded recipes!<br> Copyright &copy; 2020 - Theme by <a href=\"https://anthemes.com\" target=\"_blank\">Anthemes.com</a>",
						"type" 		=> "textarea");	
 

	}//End function: of_options()
}//End chack if function exists: of_options()
?>
