<!DOCTYPE HTML>
<html <?php language_attributes(); ?>>
<head>
<?php
    // Logo
    $boodo_wp_logo = get_theme_mod('boodo_wp_logo');
    if (empty($boodo_wp_logo)) { $boodo_wp_logo = get_template_directory_uri().'/images/logo.png'; }

    // Social icons
    $boodo_wp_top_social_icons = get_theme_mod('boodo_wp_top_social_icons'); 
    $boodo_wp_topicons_display = get_theme_mod('boodo_wp_topicons_display');
    if (empty($boodo_wp_topicons_display)) { $boodo_wp_topicons_display = 'No'; }

    // Featured icons
    $boodo_wp_top_icons = get_theme_mod('boodo_wp_top_icons');   
    $boodo_wp_topbig_display = get_theme_mod('boodo_wp_topbig_display');
    if (empty($boodo_wp_topbig_display)) { $boodo_wp_topbig_display = 'No'; }

    // Ribbon category icon
    $boodo_wp_ribbon_icon = get_theme_mod('boodo_wp_ribbon_icon');

    // Display slider (Yes/No)
    $boodo_wp_display_slider = get_theme_mod('boodo_wp_display_slider');
    if (empty($boodo_wp_display_slider)) { $boodo_wp_display_slider = 'No'; }       
?>
    <!-- Meta Tags -->
    <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

    <!-- Mobile Device Meta -->
    <meta name="viewport" content="width=device-width, initial-scale=1"> 

    <!-- Theme output -->
    <?php wp_head(); ?> 

</head>
<body <?php body_class(); ?>>
<?php wp_body_open(); ?>


<!-- Begin Header -->
<header> 
        <div class="main-header">
            <!-- Logo -->  
            <a href="<?php echo esc_url(home_url( '/' )); ?>"><img class="logo" src="<?php echo esc_url($boodo_wp_logo); ?>" alt="<?php esc_attr(bloginfo('sitename')); ?>" /></a>

            <!-- search form get_search_form(); -->
            <?php get_search_form(); ?>

            <?php if ($boodo_wp_topbig_display == 'Yes') { ?>
                <ul class="top-list">
                    <?php if (!empty($boodo_wp_top_icons)) { ?><?php echo wp_kses_post(stripslashes($boodo_wp_top_icons)); ?><?php } ?>
                </ul><!-- end .top-list -->
            <?php } ?>
            <div class="clear"></div>
        </div><!-- end .main-header -->
        
        <div class="bar-header">
            <div class="wrap-center">
                <!-- Navigation Menu -->
                <?php if ( has_nav_menu( 'boodo-wp-primary-menu' ) ) : // Check if there's a menu assigned to the 'Header Navigation' location. ?>
                    <nav>
                        <!-- Menu Toggle btn-->
                        <div class="menu-toggle">
                            <button type="button" id="menu-btn">
                                <span class="icon-bar"></span><span class="icon-bar"></span><span class="icon-bar"></span>
                            </button>
                        </div><div class="clear"></div>                       
                        <?php wp_nav_menu( array( 'container' => false, 'items_wrap' => '<ul id="respMenu" class="ant-responsive-menu" data-menu-style="horizontal">%3$s</ul>', 'theme_location' =>   'boodo-wp-primary-menu' ) ); ?>
                    </nav>
                <?php endif; // End check for menu. ?>

                <?php if ($boodo_wp_topicons_display == 'Yes') { ?>
                <ul class="top-social">
                    <?php if (!empty($boodo_wp_top_social_icons)) { ?><?php echo wp_kses_post(stripslashes($boodo_wp_top_social_icons)); ?><?php } ?>
                </ul> 
                <?php } ?>         
            </div><!-- end .wrap-center -->
        </div>
</header><!-- end #header -->

<?php if ($boodo_wp_display_slider == 'Yes') { ?>
<?php if ( is_front_page() ) { ?>
<!-- Begin Featured Articles -->
<div id="featured-slider-wrap">
    <div id="featured-slider">

    <?php $boodo_wp_top_likes_slider = new WP_Query( array( 'post_type' => 'post', 'meta_key' => 'post_views_count_boodo_wp', 'ignore_sticky_posts' => esc_attr(1), 'orderby' => 'meta_value_num', 'order' => 'DESC', 'posts_per_page' => esc_attr(12) ) );  ?> 
    <?php while ($boodo_wp_top_likes_slider->have_posts()) : $boodo_wp_top_likes_slider->the_post(); ?> 

    <div class="item">
        <?php if ( has_post_thumbnail()) { ?>        
            <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('boodo-wp-thumbnail-blog-featured', array('title' => "")); ?></a>
        <?php } else { ?>
            <a href="<?php the_permalink(); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/featured-img.png" alt="<?php esc_html_e('article image', 'boodo-wp'); ?>" /></a>
        <?php } ?>            
            <div class="article-wrap">
                <div class="article-category"><?php if (!empty($boodo_wp_ribbon_icon)) { ?><?php echo wp_kses_post(stripslashes($boodo_wp_ribbon_icon)); ?><?php } ?> <?php $boodo_wp_category = get_the_category(); if ($boodo_wp_category) 
                    { echo wp_kses_post('<a href="' . get_category_link( $boodo_wp_category[0]->term_id ) . '">' . $boodo_wp_category[0]->name.'</a> ');}  ?>
                </div><!-- end .article-category -->
            </div><!-- end .article-wrap -->
        <div class="clear"></div>
         <div class="content">
            <a href="<?php the_permalink(); ?>"><h3><?php boodo_wp_the_title( 55, ' ..'); ?></h3></a>
            <ul class="meta-content">
                <li><a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( 'ID' ) )); ?>"><?php echo wp_kses_post(get_avatar( get_the_author_meta( 'user_email' ), 18 )); ?></a></li>
                <li class="aut-name"><?php $boodo_wp_fname = get_the_author_meta('first_name'); if( empty($boodo_wp_fname)){ echo esc_url(the_author_posts_link()); } else { echo esc_attr(the_author_meta('first_name')); echo ('&nbsp;'); echo substr(get_the_author_meta('last_name'),0,1).'.';} ?></li>
                <?php if ( function_exists( 'getPostViews_boodo_wp' ) ) { ?>
                    <li class="art-views-text"><i class="icofont icofont-fire-burn"></i> <?php echo esc_attr(getPostViews_boodo_wp(get_the_ID())); ?> <?php esc_html_e( 'Views', 'boodo-wp' ); ?></li>
                <?php } ?>
            </ul><!-- end .meta-content -->
         </div><!-- end .content -->
    </div><!-- end .item -->

    <?php endwhile; 
    /* Restore original Post Data */
    wp_reset_postdata(); ?>

    </div><!-- end #featured-slider -->
</div><!-- end #featured-slider-wrap -->
<div class="clear"></div>
<?php } } ?>