<?php get_header(); // add header  ?>
<?php
    // Ribbon category icon
    $boodo_wp_ribbon_icon = get_theme_mod('boodo_wp_ribbon_icon');   
?>

<!-- Begin Wrap Content -->
<div class="wrap-fullwidth">

    <!-- Begin Main Home Content -->
    <div class="wrap-content">        
        <?php if (is_category()) { ?> 
            <h3 class="index-title"><?php esc_html_e( 'All posts in:', 'boodo-wp' ); ?> <?php single_cat_title(''); ?></h3>
            <div class="cat-info"><?php echo wp_kses_post(category_description()); ?></div>
        <?php } elseif (is_tag()) { ?>
            <h3 class="index-title"><?php esc_html_e( 'All posts tagged in:', 'boodo-wp' ); ?> <?php single_tag_title(''); ?></h3>
            <div class="cat-info"><?php echo wp_kses_post(tag_description()); ?></div>
        <?php } elseif (is_search()) { ?>
            <h3 class="index-title"><?php printf( esc_html__( 'Search Results for: %s', 'boodo-wp' ), '' . get_search_query() . '' ); ?></h3>
        <?php } elseif (is_author()) { ?> 
            <h3 class="index-title"><?php esc_html_e( 'All posts by:', 'boodo-wp' ); ?> <?php the_author(); ?></h3>
        <?php } elseif (is_404()) { ?> 
            <h3 class="index-title"><?php esc_html_e('Error 404 - Not Found', 'boodo-wp'); ?></h3>
            <?php esc_html_e('Sorry, but you are looking for something that isn\'t here.', 'boodo-wp'); ?>
        <?php } ?><div class="clear"></div>


        <ul id="infinite-articles" class="masonry_list js-masonry">
        <?php if (have_posts()) : while (have_posts()) : the_post(); ?>

            <li <?php post_class('ex34') ?> id="post-<?php the_ID(); ?>">

                <?php if ( has_post_thumbnail()) { ?>        
                    <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('boodo-wp-thumbnail-blog-grid', array('title' => "")); ?></a>
                    <div class="article-wrap">
                        <div class="article-category"><?php if (!empty($boodo_wp_ribbon_icon)) { ?><?php echo wp_kses_post(stripslashes($boodo_wp_ribbon_icon)); ?><?php } ?> <?php $boodo_wp_category = get_the_category(); if ($boodo_wp_category) 
                            { echo wp_kses_post('<a href="' . get_category_link( $boodo_wp_category[0]->term_id ) . '">' . $boodo_wp_category[0]->name.'</a> ');}  ?>
                        </div><!-- end .article-category -->
                    </div><!-- end .article-wrap -->
                <?php } else { ?> 
                    <div class="no-img-boodo"></div>
                    <div class="article-wrap mtop">
                        <div class="article-category"><?php if (!empty($boodo_wp_ribbon_icon)) { ?><?php echo wp_kses_post(stripslashes($boodo_wp_ribbon_icon)); ?><?php } ?> <?php $boodo_wp_category = get_the_category(); if ($boodo_wp_category) 
                            { echo wp_kses_post('<a href="' . get_category_link( $boodo_wp_category[0]->term_id ) . '">' . $boodo_wp_category[0]->name.'</a> ');}  ?>
                        </div><!-- end .article-category -->
                    </div><!-- end .article-wrap -->    
                <?php } // Post Thumbnail ?> 
                <div class="clear"></div>

                <div class="content-masonry">
                    <a href="<?php the_permalink(); ?>"><h3><?php the_title(); ?></h3></a>
                    <ul class="meta-content">
                        <li><a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( 'ID' ) )); ?>"><?php echo wp_kses_post(get_avatar( get_the_author_meta( 'user_email' ), 18 )); ?></a></li>
                        <li class="aut-name"><?php $boodo_wp_fname = get_the_author_meta('first_name'); if( empty($boodo_wp_fname)){ echo esc_url(the_author_posts_link()); } else { echo esc_attr(the_author_meta('first_name')); echo ('&nbsp;'); echo substr(get_the_author_meta('last_name'),0,1).'.';} ?></li>
                        <?php if ( function_exists( 'getPostViews_boodo_wp' ) ) { ?>
                            <li class="art-views-text"><i class="icofont icofont-fire-burn"></i> <?php echo esc_attr(getPostViews_boodo_wp(get_the_ID())); ?> <?php esc_html_e( 'Views', 'boodo-wp' ); ?></li>
                        <?php } ?>
                    </ul><!-- end .meta-content -->
                </div><!-- end .content-masonry -->
            </li>
        <?php endwhile; ?>
        </ul>  

         <!-- Pagination -->
        <?php if(function_exists('wp_pagenavi')) { ?>
            <?php wp_pagenavi(); ?>
            <?php } else { ?>
            <div class="defaultpag">
                    <div class="sright"><?php next_posts_link('' . esc_html__('Older Entries', 'boodo-wp') . ' &rsaquo;'); ?></div>
                    <div class="sleft"><?php previous_posts_link('&lsaquo; ' . esc_html__('Newer Entries', 'boodo-wp') . ''); ?></div>
            </div>
        <?php } // Default Pagination ?>
        <!-- pagination -->

        <?php else : ?> 
            <div class="not-found">
                <p><?php esc_html_e('Not Found. Sorry, but you are looking for something that isn\'t here.', 'boodo-wp'); ?></p>
            </div><div class="clear"></div> 
        <?php endif; ?>  


    </div><!-- end .home-content -->


    <!-- Begin Sidebar 1 (default right) -->
    <?php get_sidebar(); // add sidebar ?>
    <!-- end #sidebar 1 (default right) --> 

        
<div class="clear"></div>
</div><!-- end .wrap-fullwidth -->

<?php get_footer(); // add footer  ?>