<?php get_header(); // add header ?>  
<?php
    // Display related articles / AD (Yes/No)
    $boodo_wp_display_add_relatedarticles = get_theme_mod('boodo_wp_display_add_relatedarticles');
    if (empty($boodo_wp_display_add_relatedarticles)) { $boodo_wp_display_add_relatedarticles = 'No'; }
    $boodo_wp_related_add300 = get_theme_mod('boodo_wp_related_add300');    

    // Display author box (Yes/No)
    $boodo_wp_display_author_box = get_theme_mod('boodo_wp_display_author_box');
    if (empty($boodo_wp_display_author_box)) { $boodo_wp_display_author_box = 'No'; }

    // Display Social Shre (Yes/No)
    $boodo_wp_display_social_share = get_theme_mod('boodo_wp_display_social_share');
    if (empty($boodo_wp_display_social_share)) { $boodo_wp_display_social_share = 'Yes'; }   
?>

<!-- Begin Content -->
<div class="wrap-fullwidth">

    <div class="single-content">
        <?php if (have_posts()) : while (have_posts()) : the_post();  ?>
        <div class="entry-top">
            <h1 class="article-title entry-title"><?php the_title(); ?></h1>
            <ul class="meta-entry-top">
                <li><a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( 'ID' ) )); ?>"><?php echo wp_kses_post(get_avatar( get_the_author_meta( 'user_email' ), 22 )); ?></a>
                <li><?php the_author_posts_link(); ?> <?php esc_html_e('on', 'boodo-wp'); ?> <?php the_date(); ?></li>
                <?php if ($boodo_wp_display_social_share == 'Yes') { ?>
                    <li><?php if ( function_exists( 'boodo_wp_social_share_single' ) ) { echo wp_kses_post(boodo_wp_social_share_single()); } ?> </li>
                <?php } ?>
                <?php if ( function_exists( 'getPostViews_boodo_wp' ) ) { ?>
                    <li class="views"><i class="icofont icofont-fire-burn"></i> <?php echo esc_attr(getPostViews_boodo_wp(get_the_ID())); ?> <?php esc_html_e( 'Views', 'boodo-wp' ); ?></li>
                <?php } ?>              
            </ul><div class="clear"></div>
        </div><!-- end .entry-top -->
        <?php endwhile; endif; ?>


        <article>
            <?php if (have_posts()) : while (have_posts()) : the_post();  ?>
            <?php if ( function_exists( 'getPostViews_boodo_wp' ) ) { setPostViews_boodo_wp(get_the_ID()); } ?>
            <div <?php post_class('post') ?> id="post-<?php the_ID(); ?>">

            <div class="media-single-content">
            <?php if ( function_exists( 'rwmb_meta' ) ) {  
            // If Meta Box plugin is activate ?>
                <?php
                $boodo_wp_youtube_id = rwmb_meta('boodo_wp_youtube', true );
                $boodo_wp_vimeo_id = rwmb_meta('boodo_wp_vimeo', true );
                $boodo_wp_gallery_img = rwmb_meta('boodo_wp_slider', true );
                $boodo_wp_hideimg_id = rwmb_meta('boodo_wp_hideimg', true );
                ?> 

                <?php if(!empty($boodo_wp_youtube_id)) { ?>
                    <!-- #### Youtube video #### -->
                    <iframe class="single_iframe" width="970" height="500" src="//www.youtube.com/embed/<?php echo esc_html($boodo_wp_youtube_id); ?>?wmode=transparent" frameborder="0" allowfullscreen></iframe>
                <?php } ?>

                <?php if(!empty($boodo_wp_vimeo_id)) { ?>
                    <!-- #### Vimeo video #### -->
                    <iframe class="single_iframe" src="//player.vimeo.com/video/<?php echo esc_html($boodo_wp_vimeo_id); ?>?portrait=0" width="970" height="500" frameborder="0" allowFullScreen></iframe>
                <?php } ?>

                <?php if(!empty($boodo_wp_youtube_id) || !empty($boodo_wp_vimeo_id)) { ?>
                <?php } elseif ( has_post_thumbnail()) { ?>
                    <?php if(!empty($boodo_wp_hideimg_id)) { } else { ?>
                     <?php the_post_thumbnail('boodo-wp-thumbnail-single-image'); ?>
                    <?php } // disable featured image ?>
                <?php } ?>

                <?php if(!empty($boodo_wp_gallery_img)) { ?>
                    <!-- #### Single Gallery #### -->
                    <div class="single-gallery">
                        <?php
                        $images = rwmb_meta( 'boodo_wp_slider', 'type=image&size=boodo-wp-thumbnail-widget-small' );
                        foreach($images as $key =>$boodo_wp_gallery_img)
                         { echo wp_kses_post("<a href='{$boodo_wp_gallery_img['full_url']}' data-fslightbox='gallery1'><img src='{$boodo_wp_gallery_img['url']}'  alt='{$boodo_wp_gallery_img['alt']}' width='{$boodo_wp_gallery_img['width']}' height='{$boodo_wp_gallery_img['height']}' /></a>");
                        } ?>
                    </div><!-- end .single-gallery --> 
                <?php } ?>

            <?php } else { 
            // Meta Box Plugin ?>
                <?php the_post_thumbnail('boodo-wp-thumbnail-single-image'); ?>
            <?php } ?> 

            </div><!-- end .media-single-content -->

                    <div class="entry">
                        <!-- entry content -->
                        <?php if ($boodo_wp_display_author_box == 'Yes') { ?>
                        <div class="author-right-meta">
                            <div class="aut-img">
                                <a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( 'ID' ) )); ?>"><?php echo wp_kses_post(get_avatar( get_the_author_meta( 'user_email' ), 60 )); ?></a>
                            </div>
                            <ul class="aut-meta">
                                <li class="name"><div class="vcard author"><span class="fn"><?php echo esc_url(the_author_posts_link()); ?></span></div></li>
                                <li class="time updated"><?php the_time('F j, Y'); ?></li>
                            </ul><div class="clear"></div>   
                        </div><!-- end .author-right-media -->
                        <?php } ?>
                        
                        <!-- excerpt -->
                        <?php if ( !empty( $post->post_excerpt ) ) { ?> 
                            <div class="entryexcerpt"><?php echo wp_kses_post(the_excerpt()); ?></div>
                        <?php } ?>                             
                        <?php the_content(''); // content ?>
                        <div class="clear"></div>
                        <?php wp_link_pages(); // content pagination ?>
                        <div class="clear"></div>

                        <div class="tags-cats">
                            <!-- tags -->
                            <?php $boodo_wp_single_tags = get_the_tags(); 
                            if ($boodo_wp_single_tags): ?>
                                <div class="ct-size"><div class="entry-btn"><?php esc_html_e( 'Article Tags:', 'boodo-wp' ); ?></div> <?php the_tags('',' &middot; '); // tags ?></div><div class="clear"></div>
                            <?php endif; ?>

                            <!-- categories -->
                            <?php $boodo_wp_single_categories = get_the_category(); 
                            if ($boodo_wp_single_categories): ?>
                                <div class="ct-size"><div class="entry-btn"><?php esc_html_e( 'Article Categories:', 'boodo-wp' ); ?></div> <?php the_category(' &middot; '); // categories ?></div><div class="clear"></div>
                            <?php endif; ?>
                        </div><!-- end .tags-cats -->

                        <div class="clear"></div>                        
                    </div><!-- end .entry -->
                    <div class="clear"></div> 
            </div><!-- end #post -->
            <?php endwhile; endif; ?>
        </article><!-- end article -->


        <?php if ($boodo_wp_display_add_relatedarticles == 'Yes') { ?>
        <!-- Related Articles -->
        <div class="single-related">
        <div class="single-related-wrap">
            <div class="one_half_sr">
                <?php echo stripslashes($boodo_wp_related_add300); ?>
            </div>

            <div class="one_half_last_sr">
                <h3><?php esc_html_e( 'Related Articles', 'boodo-wp' ); ?></h3>
                <ul class="article_list">
                <?php $boodo_wp_related = get_posts( array( 'category__in' => wp_get_post_categories($post->ID), 'ignore_sticky_posts' => 1, 'numberposts' => esc_attr(4), 'post__not_in' => array($post->ID) ) );
                $num=1; if( $boodo_wp_related ) foreach( $boodo_wp_related as $post ) { setup_postdata($post); ?>  
                  <li>
                      <?php if ( has_post_thumbnail()) { ?><div class="post-nr"><?php echo esc_html($num++); ?></div><?php } ?>                    
                      <a href="<?php the_permalink(); ?>"> <?php echo the_post_thumbnail('boodo-wp-thumbnail-widget-small'); ?></a>
                      <div class="an-widget-title" <?php if ( has_post_thumbnail()) { ?> style="margin-left:105px;" <?php } ?>>
                        <h4 class="article-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>                
                          <?php if ( function_exists( 'getPostViews_boodo_wp' ) ) { ?>
                            <div class="widget-views"><i class="icofont icofont-fire-burn"></i> <?php echo esc_attr(getPostViews_boodo_wp(get_the_ID())); ?> <?php esc_html_e( 'Views', 'boodo-wp' ); ?></div>
                          <?php } ?>
                      </div>
                  </li>
                  <?php } wp_reset_postdata(); ?>
                </ul>
            </div><div class="clear"></div>
        </div><!-- end .single-related-wrap -->
        </div><!-- end .single.related -->
        <?php } ?>

 
        <!-- Comments -->
        <div class="entry-bottom">
            <?php if ( ! post_password_required() ) { ?>
                <?php if (get_comments_number()==0) { } else { ?>
                    <h3 class="title"> <?php esc_html_e( 'Comments', 'boodo-wp' ); ?></h3>
                <?php } ?>            
            <?php } ?>
            
            <!-- Comments -->
            <div id="comments" class="comments">
                <?php comments_template('', true); // comments ?>
            </div>
            <div class="clear"></div>
        </div><!-- end .entry-bottom -->

    </div><!-- end .single-content -->


    <!-- Begin Sidebar (right) -->
    <?php  get_sidebar(); // add sidebar ?>
    <!-- end #sidebar  (right) -->    


    <div class="clear"></div>
</div><!-- end .wrap-fullwidth  -->
<?php get_footer(); // add footer  ?>