<?php 
/* 
Template Name: Template - Home
*/ 
?>
<?php get_header(); // add header  ?>
<?php
    // Ribbon category icon
    $boodo_wp_ribbon_icon = get_theme_mod('boodo_wp_ribbon_icon');   
?>


<!-- Begin Wrap Content -->
<div class="wrap-fullwidth">
 
    <!-- Home Modules (Widgets) -->
    <?php if ( is_active_sidebar( 'homemodules_boodo_wp' ) ) { ?>
        <div class="boodo-modules-section"><?php dynamic_sidebar( 'homemodules_boodo_wp' ); ?></div>
    <?php } ?> 
    <!-- End. Home Modules --> 

    <!-- Begin Main Home Content -->
    <div class="wrap-content">
        <h3 class="title-module"><?php esc_html_e( 'Don\'t Miss!', 'boodo-wp' ); ?> <span><?php esc_html_e( 'latest posts ..', 'boodo-wp' ); ?></span> <span class="sright"><?php echo wp_count_posts()->publish; ?> <?php esc_html_e( 'posts ..', 'boodo-wp' ); ?></span></h3>
        <ul id="infinite-articles" class="masonry_list js-masonry">

        <?php
            if ( get_query_var('paged') )  {  $paged = get_query_var('paged'); } elseif ( get_query_var('page') ) { $paged = get_query_var('page'); } else { $paged = 1;  }
            // The Query
            query_posts( array( 'post_type' => 'post', 'paged' => $paged ) );
            if (have_posts()) : while (have_posts()) : the_post();
        ?>

            <li <?php post_class('ex34') ?> id="post-<?php the_ID(); ?>">

                <?php if ( has_post_thumbnail()) { ?>        
                    <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('boodo-wp-thumbnail-blog-grid', array('title' => "")); ?></a>
                    <div class="article-wrap">
                        <div class="article-category"><?php if (!empty($boodo_wp_ribbon_icon)) { ?><?php echo wp_kses_post(stripslashes($boodo_wp_ribbon_icon)); ?><?php } ?> <?php $boodo_wp_category = get_the_category(); if ($boodo_wp_category) 
                            { echo wp_kses_post('<a href="' . get_category_link( $boodo_wp_category[0]->term_id ) . '">' . $boodo_wp_category[0]->name.'</a> ');}  ?>
                        </div><!-- end .article-category -->
                    </div><!-- end .article-wrap -->
                <?php } else { ?> 
                    <div class="no-img-boodo"></div>
                    <div class="article-wrap mtop">
                        <div class="article-category"><?php if (!empty($boodo_wp_ribbon_icon)) { ?><?php echo wp_kses_post(stripslashes($boodo_wp_ribbon_icon)); ?><?php } ?> <?php $boodo_wp_category = get_the_category(); if ($boodo_wp_category) 
                            { echo wp_kses_post('<a href="' . get_category_link( $boodo_wp_category[0]->term_id ) . '">' . $boodo_wp_category[0]->name.'</a> ');}  ?>
                        </div><!-- end .article-category -->
                    </div><!-- end .article-wrap -->    
                <?php } // Post Thumbnail ?> 
                <div class="clear"></div>

                <div class="content-masonry">
                    <a href="<?php the_permalink(); ?>"><h3><?php the_title(); ?></h3></a>
                    <ul class="meta-content">
                        <li><a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( 'ID' ) )); ?>"><?php echo wp_kses_post(get_avatar( get_the_author_meta( 'user_email' ), 18 )); ?></a></li>
                        <li class="aut-name"><?php $boodo_wp_fname = get_the_author_meta('first_name'); if( empty($boodo_wp_fname)){ echo esc_url(the_author_posts_link()); } else { echo esc_attr(the_author_meta('first_name')); echo ('&nbsp;'); echo substr(get_the_author_meta('last_name'),0,1).'.';} ?></li>
                        <?php if ( function_exists( 'getPostViews_boodo_wp' ) ) { ?>
                            <li class="art-views-text"><i class="icofont icofont-fire-burn"></i> <?php echo esc_attr(getPostViews_boodo_wp(get_the_ID())); ?> <?php esc_html_e( 'Views', 'boodo-wp' ); ?></li>
                        <?php } ?>
                    </ul><!-- end .meta-content -->
                </div><!-- end .content-masonry -->
            </li>
        <?php endwhile; ?>
        </ul>  


         <!-- Pagination -->
        <?php if(function_exists('wp_pagenavi')) { ?>
            <?php wp_pagenavi(); ?>
            <?php } else { ?>
            <div class="defaultpag">
                    <div class="sright"><?php next_posts_link('' . esc_html__('Older Entries', 'boodo-wp') . ' &rsaquo;'); ?></div>
                    <div class="sleft"><?php previous_posts_link('&lsaquo; ' . esc_html__('Newer Entries', 'boodo-wp') . ''); ?></div>
            </div>
        <?php } // Default Pagination ?>
        <!-- pagination -->

        <?php endif; ?>
    </div><!-- end .home-content -->



    <!-- Begin Sidebar (default right) -->
    <?php get_sidebar(); // add sidebar ?>
    <!-- end #sidebar (default right) --> 

        
<div class="clear"></div>
</div><!-- end .wrap-fullwidth -->

<?php get_footer(); // add footer  ?>